Gets a list of approval layouts for a specified object. This resource is available in REST API version 30.0 and later.
Syntax
URI: /services/data/vXX.X/sobjects/sObject/describe/approvalLayouts/
Formats: JSON, XML
HTTP methods: GET
Authentication: Authorization: Bearer token
Request parameters: None required
Example
Example Request
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/describe/approvalLayouts/ -H "Authorization: Bearer token"
Example Response Body
If you haven’t defined any approval layouts for an object, the response is {"approvalLayouts" : [ ]}.
{
"approvalLayouts" : [ {
"id" : "04aD00000008Py9IAE",
"label" : "MyApprovalProcessName",
"layoutItems" : [...],
"name" : "MyApprovalProcessName"
}, {
"id" : "04aD00000008Q0KIAU",
"label" : "Process1",
"layoutItems" : [...],
"name" : "Process1"
} ]
}